Subject: Re: [ippm] Benoit Claise's No Objection on draft-ietf-ippm-6man-pdm-option-09: (with COMMENT)

From: <[email-masked]>
Date: Fri, 28 Apr 2017 04:01:39 +0000 (UTC)

On Wed, 4/12/17, Benoit Claise <[email-masked]> wrote:

 Subject: Benoit Claise's No Objection on draft-ietf-ippm-6man-pdm-option-09: (with COMMENT)
 To: "The IESG" <[email-masked]>
 Cc: [email-masked], "Al Morton" <[email-masked]>, "Bill Cerveny" <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
 Date: Wednesday, April 12, 2017, 11:30 AM
 
> Benoit Claise has entered the following ballot position for draft-ietf-ippm-6man-pdm-option-09: No Objection
 
>  Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html for more information about IESG DISCUSS and COMMENT positions.
 
> The document, along with other ballot positions, can be found here: https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/

> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
 
> No objection to the publication of this document, but it's important to get Warren's COMMENT addressed:

> This document defines a new IPv6 Destination Option. Adding this to a packet pushes the L4 information further out, potentially making it unavailable to the forwarding engine /
> ACLs. This is not just a theoretical issue - see RFC7872 for real world examples. This means that if I connect to a remote machine and enable this, I may lock myself out
> of the machine (return packets may not make it back to me); this should be noted (perhaps by expanding on section 1.6).

This was the text that was agreed on with Warren.   Please let me know if you agree.

Current Text
 ----------------

1.6 IPv6 Transition Technologies

In the path to full implementation of IPv6, transition technologies such as translation or tunneling may be employed.  The PDM header is not expected to work in such scenarios.  It is likely that an
 IPv6 packet containing PDM will be dropped if using IPv6 transition technologies.

New Text
------------

1.6 Full Support of IPv6 Functionality

In the path to full implementation of native IPv6, transition technologies such as translation or tunneling may be employed.  The PDM header may not work in such scenarios.  It is likely that an
IPv6 packet containing PDM will be dropped if using IPv6 transition technologies.

It is also possible that some devices in the network may not correctly handle multiple IPv6 Extension Headers, including the IPv6 Destination Option.  For example, adding the PDM header to a packet
may push the layer 4 information to a point in the packet where it is not visible to filtering logic, and may be dropped.  This kind of situation is expected to become rare over time.

Thanks,

Nalini Elkins
CEO and Founder
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360

---

From: Benoit Claise <[email-masked]>
Date: Fri, 28 Apr 2017 10:42:55 +0200

> This was the text that was agreed on with Warren.   Please let me know if you agree.
Sure.

Thanks, B.
> .